subroutine call_option(option, arg_pos)
    use parameters
    use opt_disl
    use opt_group
    implicit none

    integer, intent(inout) :: arg_pos
    character(len=100), intent(in) :: option

    select case(trim(adjustl(option)))
    case('-dislgen', '-disloop')
        call dislocation(option, arg_pos)
    case('-group')
        call group(arg_pos)
    case('-ow')
        arg_pos = arg_pos + 1
        continue
    case default
        print *, 'Option ', trim(adjustl(option)), ' is not currently accepted. Skipping to next argument'
        arg_pos = arg_pos + 1
    end select
end subroutine call_option